import { defineColumns } from '@bole-core/components';

export const HomeColumns = defineColumns([
  {
    id: '1',
    enCode: 'idNumber',
    name: '身份证号码',
    width: 200,
  },
  {
    id: '2',
    enCode: 'name',
    name: '姓名',
  },
  {
    id: '3',
    enCode: 'reportedTime',
    name: '报案时间',
    width: 160,
  },
  {
    id: '4',
    enCode: 'insuranceBeginTime',
    name: '起保日期',
    width: 160,
  },
  {
    id: '5',
    enCode: 'insuranceEndTime',
    name: '终保日期',
    width: 160,
  },
  {
    id: '6',
    enCode: 'accidentType',
    name: '事故类型',
    width: 160,
  },
  {
    id: '7',
    enCode: 'accidentTime',
    name: '事故发生时间',
    width: 160,
  },
  {
    id: '8',
    enCode: 'disabilityRatio',
    name: '伤残比例',
    width: 160,
  },
  {
    id: '11',
    enCode: 'claimResult',
    name: '理赔结果',
    width: 160,
  },
  {
    id: '12',
    enCode: 'downPaymentAmount',
    name: '下款金额',
    width: 160,
  },
  {
    id: '13',
    enCode: 'claimResultTime',
    name: '结/撤案日期',
    width: 160,
  },
  {
    id: '21',
    enCode: 'lastModificationTime',
    name: '最后更新日期',
    width: 160,
  },
  {
    id: '9',
    enCode: 'claimChannel',
    name: '理赔渠道',
    width: 160,
  },
]);
